events { }

http {
  include       /etc/nginx/mime.types;
  default_type  application/octet-stream;

  types {
    application/wasm          wasm;
    application/octet-stream  dll blat dat webcil;
    application/gzip          gz;
  }

  server {
    listen       8887;
    server_name  localhost;

    root   /usr/share/nginx/html;
    index  index.html;

    gzip_static  on;
    gzip_types   application/wasm application/octet-stream application/json text/html text/css application/javascript;

    location / {
      try_files $uri $uri/ /index.html;
    }
  }
}
